TypeScript
import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
phone: '919876543210', // the phone to act with (x-phone)
});
async function main() {
const response = await client.reactions.listReactions();
console.log(response);
}
main();curl -X GET 'https://api.periskope.app/v1/reactions' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'x-phone: 919876543210'{
"from": 1,
"to": 20,
"count": 20,
"start_time": "2026-01-01T00:00:00Z",
"end_time": null,
"reactions": [
{
"reaction_id": "true_120363000000000000@g.us_AAAAAAAAAAAAAAAAAAAAAA_911111111111@c.us",
"org_id": "00000000-0000-0000-0000-000000000000",
"org_phone": "911111111111@c.us",
"chat_id": "120363000000000000@g.us",
"message_id": "false_120363000000000000@g.us_AAAAAAAAAAAAAAAAAAAA_922222222222@c.us",
"sender_id": "911111111111@c.us",
"reaction": "👍",
"timestamp": "2026-01-15T09:30:00+00:00",
"ack": 3,
"read": true,
"id": {
"id": "AAAAAAAAAAAAAAAAAAAAAA",
"fromMe": true,
"remote": "120363000000000000@g.us",
"_serialized": "true_120363000000000000@g.us_AAAAAAAAAAAAAAAAAAAAAA_911111111111@c.us",
"participant": "911111111111@c.us"
},
"msg_id": {
"id": "AAAAAAAAAAAAAAAAAAAAAA",
"fromMe": true,
"remote": "120363000000000000@g.us",
"_serialized": "true_120363000000000000@g.us_AAAAAAAAAAAAAAAAAAAAAA_911111111111@c.us",
"participant": "911111111111@c.us"
},
"unique_id": "AAAAAAAAAAAAAAAAAAAA",
"orphan": 0,
"orphan_reason": null
}
]
}{
"code": "UNAUTHORIZED_ERROR",
"message": "Invalid bearer auth token",
"status": 401
}{
"code": "VALIDATION_ERROR",
"message": "Request validation failed",
"status": 422,
"fields": {
"body.chat_id": {
"message": "chat_id is required"
}
}
}{
"code": "RATE_LIMIT_ERROR",
"message": "You can only make 100 requests per second",
"status": 429
}{
"code": "UNKNOWN_ERROR",
"message": "Internal server error",
"status": 500
}Reaction APIs
Get Reactions
Returns emoji reactions across the workspace, newest first. Filter by chat_id and/or message_id.
TypeScript
import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
phone: '919876543210', // the phone to act with (x-phone)
});
async function main() {
const response = await client.reactions.listReactions();
console.log(response);
}
main();curl -X GET 'https://api.periskope.app/v1/reactions' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'x-phone: 919876543210'{
"from": 1,
"to": 20,
"count": 20,
"start_time": "2026-01-01T00:00:00Z",
"end_time": null,
"reactions": [
{
"reaction_id": "true_120363000000000000@g.us_AAAAAAAAAAAAAAAAAAAAAA_911111111111@c.us",
"org_id": "00000000-0000-0000-0000-000000000000",
"org_phone": "911111111111@c.us",
"chat_id": "120363000000000000@g.us",
"message_id": "false_120363000000000000@g.us_AAAAAAAAAAAAAAAAAAAA_922222222222@c.us",
"sender_id": "911111111111@c.us",
"reaction": "👍",
"timestamp": "2026-01-15T09:30:00+00:00",
"ack": 3,
"read": true,
"id": {
"id": "AAAAAAAAAAAAAAAAAAAAAA",
"fromMe": true,
"remote": "120363000000000000@g.us",
"_serialized": "true_120363000000000000@g.us_AAAAAAAAAAAAAAAAAAAAAA_911111111111@c.us",
"participant": "911111111111@c.us"
},
"msg_id": {
"id": "AAAAAAAAAAAAAAAAAAAAAA",
"fromMe": true,
"remote": "120363000000000000@g.us",
"_serialized": "true_120363000000000000@g.us_AAAAAAAAAAAAAAAAAAAAAA_911111111111@c.us",
"participant": "911111111111@c.us"
},
"unique_id": "AAAAAAAAAAAAAAAAAAAA",
"orphan": 0,
"orphan_reason": null
}
]
}{
"code": "UNAUTHORIZED_ERROR",
"message": "Invalid bearer auth token",
"status": 401
}{
"code": "VALIDATION_ERROR",
"message": "Request validation failed",
"status": 422,
"fields": {
"body.chat_id": {
"message": "chat_id is required"
}
}
}{
"code": "RATE_LIMIT_ERROR",
"message": "You can only make 100 requests per second",
"status": 429
}{
"code": "UNKNOWN_ERROR",
"message": "Internal server error",
"status": 500
}Authorizations
Headers
Query Parameters
Only return reactions in this chat. For group chats, the chat_id ending with @g.us; for 1-1 chats, country code + number of the contact suffixed with @c.us, e.g. 911111111111@c.us. Omit to return reactions across all chats.
Example:
"120363000000000000@g.us"
Response
Paginated list of reactions
Was this page helpful?